cctbx (2024.10+ds2+~3.22.1+ds1-5build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:41 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-5build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:03:16 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-5) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect
    Debian Policy 4.9.1.

  [ Roland Mas ]
  * Backport upstream patch to fix: "autopkgtest regression in testing",
    thanks to Graham Inggs (Closes: #1101031).
  * Fix pip invocation to help with autopkgtests.

 -- Roland Mas <lolando@debian.org>  Thu, 29 May 2025 18:19:06 +0200

cctbx (2024.10+ds2+~3.22.1+ds1-4) unstable; urgency=medium

  * Bug fix: "removal of Python standard libraries in Python 3.13", thanks
    to Louis-Philippe Véronneau (Closes: #1084540).

 -- Roland Mas <lolando@debian.org>  Wed, 20 Nov 2024 15:50:35 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-3) unstable; urgency=medium

  * refresh the annlib_adaptor so the test are now ok
  * d/t/control: no more flaky test

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Nov 2024 09:19:32 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-2) unstable; urgency=medium

  * Mark part of the testsuite as flaky for now.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 14:55:22 +0100

cctbx (2024.10+ds2+~3.22.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Nov 2024 12:16:10 +0100

cctbx (2024.8+ds2+~3.21.1+ds1-3) unstable; urgency=medium

  * Bug fix: "FTBFS deliberately on 32 bit archs", thanks to Bastian
    Germann (Closes: #1029789).
  * Add myself to Uploaders.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Oct 2024 20:12:32 +0200

cctbx (2024.8+ds2+~3.21.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Replace orderedset with ordered_set since the former seems no longer
    maintained.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Sep 2024 19:16:24 +0200

cctbx (2024.8+ds2+~3.21.1+ds1-1) unstable; urgency=medium

  * New upstream version 2024.8+ds2+~3.21.1+ds1
  * Bug fix: "autopkgtest failure with Python 3.12 only", thanks to Graham
    Inggs (Closes: #1076084).
  * d/control: B-D added libboost-timer-dev, python3-hdf5plugin, python3-natsort
  * d/p/*:
    - Refreshed for the new version
    - Added 0026-remove-distutils-in-some-modules.patch
  * d/rules: remove workaround since upstream added missing __init__.py files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Sep 2024 16:56:44 +0200

cctbx (2023.12+ds2+~3.17.0+ds1-4) unstable; urgency=medium

  * Bug fix: "autopkgtest regression", thanks to Graham Inggs (Closes:
    #1061604).
    - d/t/control: Added g++ in order to have a working c++ compiler for tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 28 Feb 2024 13:45:40 +0100

cctbx (2023.12+ds2+~3.17.0+ds1-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * python3-future is being removed from Debian (Closes: #1061405)

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Jan 2024 02:13:56 -0500

cctbx (2023.12+ds2+~3.17.0+ds1-2) unstable; urgency=medium

  * d/control: Added B-D python3-nxmx
  * d/control: Revert orderedset -> ordered-set.
    orderedset is available in Debian, no diversion from upstream.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Jan 2024 14:44:58 +0100

cctbx (2023.12+ds2+~3.17.0+ds1-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add missing autopkgtest dep pytest-regressions

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2023.12+ds2+~3.17.0+ds1
  * d/patches
    - fix the entry_points Python3.12 incompatibility
    - dxtbx use ordered-set instead of orderedset
  * d/t/dxtbx: skip nxmx test fo now
  * d/rules: install the serialtbx module
  * Bug fix: "FTBFS: boost1.83 transition", thanks to
    gladk@debian.org; (Closes: #1056086).
  * Bug fix: "FTBFS with Python 3.12", thanks to Graham Inggs (Closes:
    #1058039).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Jan 2024 22:41:16 +0100

cctbx (2022.9+ds2+~3.11.2+ds1-6) unstable; urgency=medium

  * Team upload.
  * Move autopkgtests out into separate script files for maintainability.
  * Move autopkgtest setup out of the loop to support testing on multiple
    supported Python versions. Run the tests in separate directories.
    (Closes: #1027775)
  * Patch: Pickle support for Python 3.11.
  * Patch: Update find_reference_cycles test for Python 3.11.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 10:26:53 -0400

cctbx (2022.9+ds2+~3.11.2+ds1-5) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * d/control: added B-D python3-pymol

  [ Stefano Rivera ]
  * Patch: setuptools > 60 support (avoid pip breaking setuptools distutils
    magic). (Closes: #1024859)
  * Patch: Use the python3 binary when calling pip.
  * Depend on python3-h5py in the 2nd autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 21:14:52 -0400

cctbx (2022.9+ds2+~3.11.2+ds1-4) unstable; urgency=medium

  * d/rules: remove also the gui_resources in the clean target
    Bug fix: "FTBFS: dpkg-source: error: aborting due to unexpected
    upstream changes, see
    /tmp/cctbx_2022.9+ds2+~3.11.2+ds1-3.diff.lOjzg7", thanks to Lucas
    Nussbaum (Closes: #1022354).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Nov 2022 08:54:57 +0100

cctbx (2022.9+ds2+~3.11.2+ds1-3) unstable; urgency=medium

  * build also the gltbx package
    - Added the gui_resources in order to build it
    - activate the gltbx tests
  * d/rules: build only on 64 bit arch
  * d/t/control: add verbosity to the autopkgtests
  * d/control: B-D libgl-dev and libglu1-mesa-dev for the gltbx
  * d/control: Added the gltbx description
  * d/control: Added libboost-python-dev and libccp4-dev to libcctbx-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Oct 2022 14:36:39 +0200

cctbx (2022.9+ds2+~3.11.2+ds1-2) unstable; urgency=medium

  * d/control: B-D libann-cctbx-dev (>= 1.1.2+doc-9~) and removed libann-dev
  * d/pathes/*: refreshed to compile annlib with the new ANNSELF_EXCLUDE namespace

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 14 Oct 2022 12:08:38 +0200

cctbx (2022.9+ds2+~3.11.2+ds1-1) unstable; urgency=medium

  * New upstream version 2022.9+ds2+~3.11.2+ds1
  * c/control:
    - B-D Added python3-mrcfile
    - B-D python3-requests
    - python"-cctbx depends on libcctbx-dev. the fable code
      requires the headers files.
  * dxtbx reactivate the FormatMRC module

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Oct 2022 15:10:17 +0200

cctbx (2022.8+ds2+~3.11.1+ds1-2) unstable; urgency=medium

  * d/control: libcctbx-dev depends on libann-cctbx-dev
  * d/p/0017-cctbx-do-not-hide-sign-comparison.patch: to help arch port effort.
  * d/p/0017-dxtbx-fix-for-unsigned-char-arch.patch:
    try to fix the unsigned char issue on arm64, ppc64el ans s390x

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 21 Sep 2022 14:04:04 +0200

cctbx (2022.8+ds2+~3.11.1+ds1-1) unstable; urgency=medium

  * New upstream version 2022.8+ds2+~3.11.1+ds1
  * d/control: Added B-D libann-cctbx-dev
  * d/control: Added B-D libtiff-dev
  * d/control: better short/long description
  * d/control: Added B-D dh-sequence-[numpy|python3]
  * d/p/dxtbx*: import all the dxtbx patches
  * d/rules: built rstbx and dxtbx for dials
  * d/rules: avoid FTBFS when cctbx is already installed
  * d/watch: Added the dxtbx component

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Sep 2022 15:52:37 +0200

cctbx (2022.8+ds2-1) unstable; urgency=medium

  * d/control: Added B-D python3-pycbf >= 0.9.7+dfsg1-2~
  * d/rules: Added the missing omptbx module
  * d/install-cctbx.sh: Install the annlib_adaptbx at the right place
  * d/t/control: do not run CI on 32bits architectures.
  * New upstream version 2022.8+ds2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Sep 2022 10:51:42 +0200

cctbx (2022.7+ds2-1) unstable; urgency=medium

  * New upstream version 2022.7+ds2
  * More modules activated
    - cbflib_adaptbx
  * d/p/refresh the patch series
  * d/control: Added B-D python3-scipy to fix the autopkgtest
  * d/p/0010-fix-cbflib_adaptbx-compilation-with-the-system-cbfli.patch
    - Modity to avoid building the local cbf and pycbf binaries
    - build a cbf-private shared library with the extra cbf files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Aug 2022 16:15:42 +0200

cctbx (2021.12+ds1-8) unstable; urgency=medium

  * More modules activated
    - annlib_adaptbx
    - ccp4io
    - ccp4io_adaptbx
    - fable
    - mmtbx
  * Added missing Python extensions
    - iotbx_cif_ext
    - iotbx_mtz_ext
  * d/t/control: start autopkgtest from an empty directory
  * d/rules: activated --enable_cxx11
  * d/rules: install libtbx_env under /usr/lib/cctbx/pythonX.Y
  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b . subprocess
    returned exit status 2", thanks to Lucas Nussbaum (Closes: #1016324).
  * Bug fix: "autopkgtest failure: Please run this program in an empty
    directory.", thanks to Paul Gevers (Closes: #1016499).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Aug 2022 17:44:07 +0200

cctbx (2021.12+ds1-7) unstable; urgency=medium

  * Added the boost_adaptbx module for dxtbx
  * Added d/libcctbx-dev.links
  * d/t/control: run test only with python 3.10 for now
  * d/setup.py: do not instal deprecated module boost (Closes: #1014941)
  * s/setup.py: use the right wx -> wxPython dependency
  * d/rules: Install all headers using rsync

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 15 Jul 2022 16:29:26 +0200

cctbx (2021.12+ds1-6) unstable; urgency=medium

  * d/rules: make the build verbose
  * d/p/adding-setup.py.patch: removed setup.py is now in the debian directory
  * d/setup.py: a simpler version in order to install all python modules.
  * d/rules: use pybuild to install the generated files (scripts, librariers,
    extensions)
  * d/control: Added B-D python3-wxgtk4.0
  * d/rules: install the /usr/share/cctbx files
  * d/rules: use nproc instread of dh_assistant for backport
  * d/t/control: Adding first autopkgtest

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Jul 2022 15:01:47 +0200

cctbx (2021.12+ds1-5) unstable; urgency=medium

  * Team upload.
  * Enable riscv64 build (Closes: #1009191).
  * Trim trailing whitespace.

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 May 2022 01:51:34 -0000

cctbx (2021.12+ds1-4) unstable; urgency=medium

  * Use sysconfig to obtain path to boost_python to avoid needing the
    python version in the system_libs patch in boost_adaptbx/SConsscript
    (Closes: #1008520)

 -- Neil Williams <codehelp@debian.org>  Tue, 29 Mar 2022 10:16:15 +0100

cctbx (2021.12+ds1-3) unstable; urgency=medium

  * Apply patch from reproducible builds: Timestamps embedded in
    boost_python_meta_ext.so.0.0.1 (Closes: #1006252)

 -- Neil Williams <codehelp@debian.org>  Thu, 03 Mar 2022 09:36:43 +0000

cctbx (2021.12+ds1-2) unstable; urgency=medium

  * Source only upload

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Feb 2022 08:27:32 +0000

cctbx (2021.12+ds1-1) unstable; urgency=medium

  * Add missing scitbx header files
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Thu, 27 Jan 2022 14:13:37 +0000

cctbx (2021.8+ds2-1) unstable; urgency=low

  * Initial release (Closes: #679905)

 -- Neil Williams <codehelp@debian.org>  Thu, 09 Dec 2021 09:56:20 +0000
